RESIZE2FS(8)

NAZWA
resize2fs - zmienia rozmiar systemu plików ext2/ext3/ext4

SKŁADNIA
resize2fs [ -fFpPMbs ] [ -d flagi-debugowania ] [ -S rozmiar-części-RAID ] [ -z plik-cofnięcia ] urządzenie [ rozmiar ]

OPIS
Program resize2fs zmienia rozmiar systemów plików ext2, ext3 i ext4. Można go użyć do zwiększania lub zmniejszenia rozmiaru odmontowanego systemu plików znajdującego się na urządzeniu. Jeśli system plików jest zamontowany, można go zwiększyć, jeśli tylko jądro i system plików obsługuje zmianę rozmiaru on-line. Aktualne jądra Linux 2.6 będą obsługiwały zmianę rozmiaru online w systemach plików zamontowanych jako ext3 i ext4, system plików ext3 wymaga przy tym włączonej funkcji resize_inode.

Parametr rozmiar określa żądany nowy rozmiar systemu plików. Jeśli nie poda się jednostki, parametr ten określa rozmiar liczony w blokach systemu plików. Opcjonalnie rozmiar może przyjąć jeden z przyrostków oznaczających jednostkę: s (sektor), K (kilobajt), M (megabajt), G (gigabajt) lub T (terabajt); przy czym poza przyrostkiem s, pozostałe mogą być zapisane wielką lub małą literą. Rozmiar nie może być nigdy większy od rozmiaru partycji. Jeśli nie poda się tego parametru, domyślnie zostanie przyjęty rozmiar partycji.

Program resize2fs nie zmienia rozmiaru partycji. Aby zwiększyć rozmiar systemu plików należy najpierw zwiększyć rozmiar partycji, na której się on znajduje. Można to uczynić programem fdisk(8) usuwając ją i tworząc na nowo większą lub za pomocą lvextend(8) jeśli używa się menedżera woluminów logicznych lvm(8). Pierwsza metoda wymaga upewnienia się, że tworzy się nową partycję z tym samym cylindrem początkowym co poprzednio. W przeciwnym wypadku operacja zmiany rozmiaru nie powiedzie się i można utracić cały system plików. Po uruchomieniu fdisk(8), należy użyć programu resize2fs do zmiany rozmiaru systemu plików ext2 tak, aby skorzystał on z całej dostępnej przestrzeni świeżo powiększonej partycji.

Aby zmniejszyć partycję ext2 należy najpierw skorzystać z programu resize2fs do zmniejszenia systemu plików. Następnie można użyć fdisk(8) do zmniejszenia rozmiaru partycji. Przy tej ostatniej czynności należy się upewnić, że partycja nie będzie mniejsza niż nowy rozmiar systemu plików ext2!

The -b and -s options enable and disable the 64bit feature, respectively. The resize2fs program will, of course, take care of resizing the block group descriptors and moving other data blocks out of the way, as needed. It is not possible to resize the file system concurrent with changing the 64bit status.

OPCJE

-b  Turns on the 64bit feature, resizes the group descriptors as necessary, and moves other metadata out of the way.

-d flagi-debugowania
    Włącza różne funkcje debugowania resize2fs, jeśli zostały wkompilowane w plik binarny programu. Flagi-debugowania można obliczyć dodając liczby przypisane żądanym funkcjom z poniższej listy.
      2    - Debuguje relokację bloków
      4    - Debuguje relokację i-węzłów
      8    - Debuguje przeniesienie tabeli i-węzłów
      16    - Wypisuje informacje związane z czasem
      32    - Debuguje obliczenia minimalnego rozmiaru systemu plików (-M)

-f  Wymusza wykonanie operacji zmiany rozmiaru przez resize2fs, pomijając pewne zabezpieczenia które zwykle sprawdza resize2fs.

-F  Wypróżnia bufory systemu plików przed uruchomieniem programu. Przydatne właściwie tylko w czasowych próbach resize2fs.

-M  Shrink the file system to minimize its size as much as possible, given the files stored in the file system.

-p  Print out percentage completion bars for each resize2fs phase during an offline (non-trivial) resize operation, so that the user can keep track of what the program is doing. (For very fast resize operations, no progress bars may be displayed.)

-P  Print an estimate of the number of file system blocks in the file system if it is shrunk using resize2fs's -M option and then exit.

-s  Turns off the 64bit feature and frees blocks that are no longer in use.

-S rozmiar-części-RAID
    Program resize2fs określa rozmiar części RAID (ang. RAID stride) podany przy tworzeniu systemu plików za pomocą heurystyki. Ta opcja pozwala bezpośrednio wskazać go użytkownikowi.

-z plik-zapasowy
    Before overwriting a file system block, write the old contents of the block to an undo file. This undo file can be used with e2undo(8) to restore the old contents of the file system should something go wrong. If the empty string is passed as the undo_file argument, the undo file will be written to a file named resize2fs-device.e2undo in the directory specified via the E2FSPROGS_UNDO_DIR environment variable. OSTRZEŻENIE: Plik zapasowy nie pomoże w przypadku utraty zasilania lub zawieszenia systemu.

ZNANE PROBLEMY
Minimalny rozmiar systemu plików oszacowany przez resize2fs może być nieprawidłowy, szczególnie dla systemów plików o rozmiarach bloków 1k i 2k.

AUTOR
resize2fs zostało napisane przez Theodore Ts'o <tytso@mit.edu>.

PRAWA AUTORSKIE
Resize2fs - prawa autorskie zastrzeżone w 1998 przez Theodore Ts'o i PowerQuest, Inc. Wszystkie prawa zastrzeżone. Według stanu na kwiecień 2000 resize2fs może być rozpowszechniany na warunkach GPL.

ZOBACZ TAKŻE
fdisk(8), e2fsck(8), mke2fs(8), lvm(8), lvextend(8)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.